Subject: Re: Re[5]: cygwin download incomplete - try again - loop?
From: "Max Bowsher" <[email-masked]>
To: "Pavel Tsekov" <[email-masked]>
Cc: <[email-masked]>
Date: Fri, 7 Jun 2002 14:46:02 +0100

Pavel Tsekov <[email-masked]> wrote:
> Hello Max,
>
> Friday, June 07, 2002, 2:31:56 PM, you wrote:
>
> MB> strlen(url) is called with url = NULL on line 92.
>
> MB> Its easy to kludge round this, but it strikes me that the problem would be
> MB> better solved by finding out why a null pointer is being passed in the
first
> MB> place. Maybe this weekend :-).
>
> Ah, this is another one! :) Btw I recall you reported something like
> this some weeks ago.

I'm pretty sure it is the same one. I kludged around it in my local copy, by
returning a null string, without calling strlen(), but I didn't submit a patch,
because the very fact that a NULL pointer is being passed in is a bug elsewhere
in the code, which I have not been able to find and squish, because I have not
yet invested the time to fully understnd the control flow of this part of setup.

Max.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/